Bug 1019641 - Lazy-loading TreeView tab in a TestPlan page
Lazy-loading TreeView tab in a TestPlan page
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 03:53 EDT by cqi
Modified: 2016-05-26 09:15 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.8.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cqi 2013-10-16 03:53:19 EDT
Currently, the TreeView tab is loaded while loading the TestPlan. This will bring unfriendly user experience that is it seems have a bad performance.

Change the way of building and displaying TreeView to a lazy way, that is load the TreeView only when user clicks the tab. And no refresh before user refresh the current TestPlan page.
Comment 1 cqi 2013-10-23 23:02:08 EDT
Loading the plan tree happens only when switch to TreeView tab. Then, each time come back from other tabs, do not load the tree repeatedly.
Comment 2 yangqiu 2013-12-10 04:08:43 EST
Verify the bug on qa server.--->Pass

Verify steps:
1.Enter a test plan. Click tree view tab.
2.Add a child node for this plan. 
3.Change parent node for this plan.
4.Change the child plan's tree view, not refresh the plan page. Check the tree view.
5.Change the child plan's tree view, refresh the plan page. Check the tree view.

Actual results:
For step 1: load the latest tree view.
For step 2: After change, plan reload the latest tree view.
For step 3: After change, plan reload the latest tree view.
For step 4: Not refresh the page, the page show the old tree view. 
For step 5: Refresh the page, the page show the latest tree view.

Note You need to log in before you can comment on or make changes to this bug.